Bug 81248 - Web Inspector: support inline source maps.
Summary: Web Inspector: support inline source maps.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Pavel Podivilov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-15 11:42 PDT by Pavel Podivilov
Modified: 2012-03-20 07:01 PDT (History)
10 users (show)

See Also:


Attachments
Patch (6.88 KB, patch)
2012-03-15 11:44 PDT, Pavel Podivilov
pfeldman: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Podivilov 2012-03-15 11:42:31 PDT
Web Inspector: support inline source maps.

* support optional map.sourcesContent array with sources content
* support data: url as script sourceMapURL, e.g. "//@ sourceMappingURL=data:application/json;base64,<base64-encoded map>"
Comment 1 Pavel Podivilov 2012-03-15 11:44:32 PDT
Created attachment 132091 [details]
Patch
Comment 2 Pavel Podivilov 2012-03-16 04:05:42 PDT
A better option would be to use data: urls for sources as well, to avoid changing source map format.
Comment 3 Pavel Podivilov 2012-03-16 06:31:47 PDT
(In reply to comment #2)
> A better option would be to use data: urls for sources as well, to avoid changing source map format.

It turns out there is no nice way to provide names for sources loaded from data: urls. Using sourceURL comment would require loading and searching all the sources which is not acceptable for large maps.

map.sourcesContent seems to be the best option.
Comment 4 Pavel Podivilov 2012-03-20 07:01:46 PDT
Committed r111389: <http://trac.webkit.org/changeset/111389>